Subject: Re: PHnukARMACY

From: "Agneta Dalzell" <[email-masked]>
Date: Fri, 2 Feb 2007 01:30:13 +0900

Hi,

Purchase your medication from our site because it costs less.

http://www.vodrx*.com - Remove "*" to make the link working!

--

Of course its not Him,  said Mr. Weasley impatiently. We dont know
who it was; it looks like they Disapparated. Now excuse me, please, I
want to get to bed.